## Copyright (C) 2014 John Ellinger
## 
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with Octave; see the file COPYING.  If not, see
## <http://www.gnu.org/licenses/>.

## plotHarmonicSeries

## Author: John Ellinger <je@jemac.mibac.lan>
## Created: 2014-02-05

n = 1:1000;
T = 1/length(n);
nT = n*T;

figure(1);
clf;
hold on;

f0 = 1/2;
wav1 = sin(  2 * pi * f0 * nT );
plot( wav1, "k" );
wav1 = sin(  -2 * pi * f0 * nT );
plot( wav1, "k" );

## f = ODD * f0
f = 3*f0;
wav = 1/f * sin( 2 * pi * f * nT );
plot( wav, "g" );
wav = 1/f * sin( -2 * pi * f * nT );
plot( wav, "g" );

f = 5*f0;
wav = 1/f * sin( 2 * pi * f * nT );
plot( wav, "r" );
wav = 1/f * sin( -2 * pi * f * nT );
plot( wav, "r" );

f = 7*f0;
wav = 1/f * sin( 2 * pi * f * nT );
plot( wav, "c" );
wav = 1/f * sin( -2 * pi * f * nT );
plot( wav, "c" );

f = 9*f0;
wav = 1/f * sin( 2 * pi * f * nT );
plot( wav, "b" );
wav = 1/f * sin( -2 * pi * f * nT );
plot( wav, "b" );

title( "Odd harmonics 1 3 5 7 9" );
hold off;

## copy paste above section make a few changes
figure(2);
clf;
hold on;

wav1 = sin(  2 * pi * f0 * nT );
plot( wav1, "k" );
wav1 = sin(  -2 * pi * f0 * nT );
plot( wav1, "k" );

## f = EVEN * f0
f = 2*f0;
wav = .75 * sin( 2 * pi * f * nT );
plot( wav, "g" );
wav = .75 * sin( -2 * pi * f * nT );
plot( wav, "g" );

f = 4*f0;
wav = 1/f * sin( 2 * pi * f * nT );
plot( wav, "r" );
wav = 1/f * sin( -2 * pi * f * nT );
plot( wav, "r" );

f = 6*f0;
wav = 1/f * sin( 2 * pi * f * nT );
plot( wav, "c" );
wav = 1/f * sin( -2 * pi * f * nT );
plot( wav, "c" );

f = 8*f0;
wav = 1/f * sin( 2 * pi * f * nT );
plot( wav, "b" );
wav = 1/f * sin( -2 * pi * f * nT );
plot( wav, "b" );

title( "Even harmonics 1 2 4 6 8" );
hold off;
